export interface XfQuotaVO {
  /**
   * 限额Id,主键
   */
  quotaId: string | number;

  /**
   * 卡类Id
   */
  cardType: number;

  cardTypeName: string;

  /**
   * 每日金额
   */
  dailyMoney: number;

  /**
   * 早餐金额
   */
  oneMoney: number;

  /**
   * 午餐金额
   */
  twoMoney: number;

  /**
   * 晚餐金额
   */
  threeMoney: number;

  /**
   * 宵夜金额
   */
  fourMoney: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 启用状态，0-未启用 1-启用
   */
  status: string;
}

export interface XfQuotaForm extends BaseEntity {
  /**
   * 限额Id,主键
   */
  quotaId?: string | number;

  /**
   * 卡类Id
   */
  cardType?: number;

  /**
   * 每日金额
   */
  dailyMoney?: number;

  /**
   * 早餐金额
   */
  oneMoney?: number;

  /**
   * 午餐金额
   */
  twoMoney?: number;

  /**
   * 晚餐金额
   */
  threeMoney?: number;

  /**
   * 宵夜金额
   */
  fourMoney?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 启用状态，0-未启用 1-启用
   */
  status?: string;
}

export interface XfQuotaQuery extends PageQuery {
  /**
   * 启用状态，0-未启用 1-启用
   */
  status?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}
