export enum CreditTypeEnum {
  /**
   * 收卡押金
   */
  CHARGE_DEPOSIT = 110,
  /**
   * 退卡押金
   */
  RETURN_DEPOSIT,
  /**
   * 收卡折旧费
   */
  CHARGE_DEPRECIATION,
  /**
   * 充值
   */
  RECHARGE = 'RECHARGE',
  /**
   * 退款
   */
  REFUND = 'REFUND',
  /**
   * 充值机充值
   */
  RECHARGE_MACHINE_RECHARGE,
  /**
   * 转帐机充值
   */
  TRANSFER_MACHINE_RECHARGE,
  /**
   * 转帐机退款
   */
  TRANSFER_MACHINE_REFUND,
  /**
   * 补助机充值
   */
  SUBSIDY_MACHINE_RECHARGE,
  /**
   * 预存款
   */
  BEFORE_SAVE,
  /**
   * 自助圈存
   */
  SELF_TRANSFER = 20200,
  /**
   * 预充值
   */
  BEFORE_RECHARGE = 21150,
  /**
   * 空中圈存
   */
  AIR_TRANSFER = 21200,
  /**
   * 管理费
   */
  COMMISSION_CHARGE = 21280,
  /**
   * 工本费
   */
  COST,

  /**
   * 自助圈存
   */
  TRANSFER_PAY = 22200,
  /**
   * 订餐扣费
   */
  BOOKING_DEDUCTIONS = 22420,
  /**
   * 订餐退款
   */
  BOOKING_REFUND,
  /**
   * 订餐账户充值
   */
  ORDER_ACCOUNT_RECHARGE,
  /**
   * 订餐账户退款
   */
  ORDER_ACCOUNT_REFUND,
  /**
   * 水电扣款
   */
  UTILITIES_DEDUCTIONS = 22430,
  /**
   * 配餐券转账
   */
  MEAL_TICKET_TRANSFER = 22500,
  /**
   * 水控转账
   */
  WATER_TRANSFER = 22600,
  /**
   * 电费缴纳
   */
  ELECTRIC_PAY = 22700,
  /**
   * 支付宝充值
   */
  ALIPAY_RECHARGE = 24500,
  /**
   * 微信充值
   */
  WECHAT_RECHARGE = 24600
}
